Scilab Function

clean - nettoie une matrice (arrondi à zéro des termes très petits)

### Calling Sequence

  `[B]=clean(A [,epsa [,epsr]])`

### Parameters

- `A` : une matrice (scalaire, polynômes, creuse, ...)
- `epsa,epsr` : nombres réels (valeurs par défaut resp. 1.d-10 et 1.d-10)

### Description

Cette fonction élimine (force à zéro) les coefficients de valeur absolue < `epsa` et de valeur relative < `epsr` (relative par rapport à la norme 1 des coefficients) dans un polynôme (éventuellement matrice de polynôme ou rationnelle).

Les valeurs par défaut sont `epsa=1.d-10` et `epsr=1.d-10` .

Pour une matrice constante (non polynomiale) `clean(A,epsa)` force à zéro les termes de `A` plus petits que `epsa` .

### Examples

    x=poly(0,'x');
    w=[x,1,2+x;3+x,2-x,x^2;1,2,3+x]/3;
    w*inv(w)
    clean(w*inv(w))